> For the complete documentation index, see [llms.txt](https://docs.reflag.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.reflag.com/guides/toggle-toolbar-with-a-flag.md).

# Toggle toolbar with a flag

Learn how you can control who gets the toolbar in production by toggling a feature flag on/off

In some cases, you want to limit who has access to the toolbar in production. If you already have an "admin" or "internalUser" boolean on the user model, that is how most people decide whether to show the toolbar.

Beyond those simple cases, using a feature flag that you can enable for certain people is a great way to manage who gets to see the toolbar.

Here's an example of how it can be done with the React SDK:

1. Create the flag:

```bash
$ npx reflag new toolbar
```

2. If you've set the `toolbar` prop on the `<ReflagProvider>`, remove it. We'll manage this by calling `client.showToolbar()` when the flag is enabled.
3. Put this tiny component inside the `<ReflagProvider>`:

```tsx
function ToolbarFlagControl() {
  const client = useClient();
  const {isEnabled: toolbarEnabled} = useFlag("toolbar");
  useEffect(() => {
    if (toolbarEnabled) {
      client?.showToolbarToggle();
    }
  }, [toolbarEnabled]);
}
```

Done! You can now enable/disable the toolbar for users by toggling the `toolbar` feature flag for them inside Reflag.

{% hint style="info" %}
showToolbarToggle() became available in the following SDK versions:

* @reflag/react-sdk: 1.3.0
* @reflag/vue-sdk: 1.3.0
* @reflag/browser-sdk: 1.3.0
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.reflag.com/guides/toggle-toolbar-with-a-flag.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
